Subject: Re: [PATCH V8 04/10] powerpc, perf: Re organize PMU based branch filter processing in POWER8

From: Anshuman Khandual <[email-masked]>
Date: Wed, 10 Jun 2015 17:39:42 +0530

On 06/10/2015 10:37 AM, Daniel Axtens wrote:
> 
>>  	/* Every thing else is unsupported */
>>  	return -1;
> You're returning -1 as a unsigned 64bit number. Other code that reads
> this value tests for -1 and I think it works everywhere just because it
> wraps around consistently. But I would still rather not do this and I'm
> surprised it doesn't throw a warning.

Thats the existing code which is going away with this patch series.